Package picard.illumina.parser

## Class CbclData

- java.lang.Object
- - picard.illumina.parser.BclData
  - - picard.illumina.parser.CbclData

-     public class CbclData
      extends BclData

  This class provides that data structure for cbcls. This includes BCL data as well as PF (pass-filter) data and positional information.

- - ### Field Summary

    - ### Fields inherited from class picard.illumina.parser.BclData

      `bases, qualities`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CbclData​(int[] outputLengths, int tile)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AbstractIlluminaPositionFileReader.PositionInfo` | `getPositionInfo()` |
    `int` | `getTile()` |
    `int` | `getXCoordinate()` |
    `int` | `getYCoordinate()` |
    `boolean` | `isPf()` |
    `void` | `setPositionInfo​(AbstractIlluminaPositionFileReader.PositionInfo positionInfo)` |

    - ### Methods inherited from class picard.illumina.parser.BclData

      `getBases, getQualities`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CbclData

          public CbclData​(int[] outputLengths,
                          int tile)

  - ### Method Detail

    - #### isPf

          public boolean isPf()

    - #### getTile

          public int getTile()

    - #### getPositionInfo

          public AbstractIlluminaPositionFileReader.PositionInfo getPositionInfo()

    - #### setPositionInfo

          public void setPositionInfo​(AbstractIlluminaPositionFileReader.PositionInfo positionInfo)

    - #### getXCoordinate

          public int getXCoordinate()

    - #### getYCoordinate

          public int getYCoordinate()